Subject: Re: preliminary conclusions regarding window size issues

From: Jamie Lokier <[email-masked]>
Date: Thu, 8 Jul 2004 02:44:43 +0100

bert hubert wrote:
> Alessandro never sees these packets!
...
> My current feeling is that some kind of QoS device is interfering,
> and that the 'wscale gets stuffed' theory is wrong in this case.
> 
> I recall that 'Packeteer' QoS devices try to mess with windows.

It's a bit fiddly to arrange, but can you repeat the test and
artificially lower the TTL for these packets which disappear?

An iptable mangle rule would do the trick -- mangle the TTL only on
packets which match this point in the trace.

The idea is to reduce the TTL like traceroute does, so you can see
which hop is causing these packets to disappear -- perhaps it'll stand
out proudly as a QoS device which can be named, blamed and shamed.

-- Jamie